package javax.swing.plaf.basic;

import java.awt.Dimension;
import java.awt.Graphics;
import javax.swing.plaf.ComponentUI;
import javax.swing.JComponent;

public class BasicPopupMenuSeparatorUI extends BasicSeparatorUI
{
    public BasicPopupMenuSeparatorUI() {
    }
    
    public static ComponentUI createUI(JComponent component) {
        return new BasicPopupMenuSeparatorUI();
    }
    
    @Override
    public void paint(Graphics graphics, JComponent component) {
        Dimension size = component.getSize();
        graphics.setColor(component.getForeground());
        graphics.drawLine(0, 0, size.width, 0);
        graphics.setColor(component.getBackground());
        graphics.drawLine(0, 1, size.width, 1);
    }
    
    @Override
    public Dimension getPreferredSize(JComponent component) {
        return new Dimension(0, 2);
    }
}
